
/* Arvant.blog.ir */

var MainMenuLayer = cc.Layer.extend({
    sprite:null,
    ctor:function () {
        //////////////////////////////
        // 1. super init first
        this._super();


        // ask the window size
        var size = cc.winSize;

        // add a "Play" Button
        var playItem = new cc.MenuItemImage(
        		res.BtnPlay_png,
        		res.BtnPlay_png,
            function () {
                cc.log("Play is clicked!");
            }, this);
        playItem.attr({
            x:90,
            y: 230,
        });

        var playMenu = new cc.Menu(playItem);
        playMenu.x = 0;
        playMenu.y = 0;
        this.addChild(playMenu, 1);
        
        // add a "Score" Button
        var scoreItem = new cc.MenuItemImage(
        		res.BtnScore_png,
        		res.BtnScore_png,
        		function () {
        			cc.log("Score is clicked!");
        		}, this);
        scoreItem.attr({
        	x:230,
        	y: 230,
        });

        var scoreMenu = new cc.Menu(scoreItem);
        scoreMenu.x = 0;
        scoreMenu.y = 0;
        this.addChild(scoreMenu, 1);

       

        // add "MainMenu" BackGround "
        var backGround=new cc.Sprite(res.BackGround_png);
        backGround.attr({
        	x:size.width/2,
        	y:size.height/2,
        	scale:1.0,
        	rotation:0
        	
        });
        this.addChild(backGround,0);
        
        
        //add Bird
        var Bird=new cc.Sprite(res.Bird_png);
        Bird.attr({
        	x:160,
        	y:320

        });
        this.addChild(Bird,1);

        //add Ground
        var Ground=new cc.Sprite(res.Ground_png);
        Ground.attr({
        	x:168,
        	y:56

        });
        this.addChild(Ground,1);
        
        // add Logo sprite "
        var logo=new cc.Sprite(res.Logo_png);
        logo.attr({
        	x:size.width/2,
        	y:380

        });
        this.addChild(logo,1);
       
        return true;
    }
});

var MainMenuScene = cc.Scene.extend({
    onEnter:function () {
        this._super();
        var layer = new MainMenuLayer();
        this.addChild(layer);
    }
});

